Get Knowledge Base by ID
curl --request GET \
--url https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"kb_id": "550e8400-e29b-41d4-a716-446655440000",
"kb_name": "Product Documentation",
"status": "completed",
"created_at": "2024-12-16T13:03:29.947147+00:00",
"updated_at": "2024-12-16T14:15:32.123456+00:00",
"files": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"filename": "<string>",
"file_path": "<string>"
}
],
"urls": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"url": "<string>",
"file_path": "<string>"
}
],
"faqs": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"content": {}
}
]
}{
"message": "Invalid credentials"
}{
"message": "<string>"
}Get Knowledge Base by ID
Get one knowledge base with its processing status and every file, URL and FAQ in it, including the IDs you need to remove items with the edit endpoint.
GET
/
external
/
kb
/
{kb_id}
Get Knowledge Base by ID
curl --request GET \
--url https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://prod-api.ringg.ai/ca/api/v0/external/kb/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"kb_id": "550e8400-e29b-41d4-a716-446655440000",
"kb_name": "Product Documentation",
"status": "completed",
"created_at": "2024-12-16T13:03:29.947147+00:00",
"updated_at": "2024-12-16T14:15:32.123456+00:00",
"files": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"filename": "<string>",
"file_path": "<string>"
}
],
"urls": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"url": "<string>",
"file_path": "<string>"
}
],
"faqs": [
{
"file_id": "<string>",
"file_type": "<string>",
"file_size": 123,
"content": {}
}
]
}{
"message": "Invalid credentials"
}{
"message": "<string>"
}Each item has a
file_id, which is the ID Edit knowledge base takes to remove it.
Notes
- Poll this endpoint after creating or editing until
statusiscompleted. Large files or many URLs can take several minutes. - Files carry
filename,file_typeandfile_size(bytes); URLs carryurl; FAQs carrycontentwith the question and answer.
Authorizations
Headers
(Required) Your Ringg AI API key.
Example:
"rg_live_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
Path Parameters
(Required) ID of the knowledge base
Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Knowledge base details retrieved successfully.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"Product Documentation"
Processing status of the knowledge base
Example:
"completed"
Example:
"2024-12-16T13:03:29.947147+00:00"
Example:
"2024-12-16T14:15:32.123456+00:00"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?